# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/yaz-ztest perl(ExtUtils/MakeMaker.pm) perl(MARC/Record.pm)
# END SourceDeps(oneline)
%define module_name Net-Z3950-ZOOM
%define dist Net-Z3950-ZOOM
Name: perl-%dist
Version: 1.32
Release: alt1

Summary: Perl extension implementing the ZOOM API for Information Retrieval
License: perl
Group: Development/Perl

URL: %CPAN %dist
# Source-url: http://search.cpan.org/CPAN/authors/id/M/MI/MIRK/Net-Z3950-ZOOM-%version.tar.gz
Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MI/MIRK/%{module_name}-%{version}.tar.gz

# Automatically added by buildreq on Sun Oct 09 2011 (-bi)
BuildRequires: libssl-devel libyaz-devel perl-MARC-Record perl-XML-LibXML perl-devel

BuildRequires: libyaz-devel >= 4.0.0

%description
This distribution contains three Perl modules for the price of one.
They all provide facilities for building information retrieval clients
using the standard Z39.50 and SRW/U protocols, but do so using
different APIs.

%prep
%setup -q -n %{module_name}-%{version}

%ifdef __BTE
# disable network-dependent tests
grep -lZ connect t/*.t |xargs -r0 rm -v
%endif

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md
%_bindir/zselect
%_bindir/zoomdump
%_bindir/zoom-delete-records
%perl_vendor_archlib/Net
%perl_vendor_autolib/Net
%perl_vendor_archlib/ZOOM*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.32-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.30-alt6
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.30-alt5
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.30-alt4
- rebuild with perl 5.30

* Sun Feb 03 2019 Igor Vlasenko <viy@altlinux.ru> 1.30-alt3
- fixed build

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.30-alt2.1.1.1
- rebuild with perl 5.28.1

* Fri Dec 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.30-alt1.1.1.1
- rebuild with new perl 5.26.1

* Fri Feb 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.30-alt1.1.1
- rebuild with new perl 5.24.1

* Wed Nov 25 2015 Igor Vlasenko <viy@altlinux.ru> 1.30-alt1.1
- rebuild with new perl 5.22.0

* Sun Aug 23 2015 Vitaly Lipatov <lav@altlinux.ru> 1.30-alt1
- new version 1.30 (with rpmrb script)

* Tue Dec 09 2014 Igor Vlasenko <viy@altlinux.ru> 1.28-alt4.1
- rebuild with new perl 5.20.1

* Wed Aug 28 2013 Vladimir Lettiev <crux@altlinux.ru> 1.28-alt4
- built for perl 5.18

* Sat Sep 01 2012 Vladimir Lettiev <crux@altlinux.ru> 1.28-alt3
- rebuilt for perl-5.16

* Sun Oct 09 2011 Alexey Tourbin <at@altlinux.ru> 1.28-alt2
- rebuilt for perl-5.14

* Wed Jul 13 2011 Dmitry V. Levin <ldv@altlinux.org> 1.28-alt1
- Updated to 1.28.
- Updated build dependencies.

* Mon Nov 08 2010 Vladimir Lettiev <crux@altlinux.ru> 1.25-alt1.1.1
- rebuilt with perl 5.12

* Mon Oct 27 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.25-alt1.1
- rebuild w/o test

* Tue Oct 07 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.25-alt1
- new version

* Tue Oct 07 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.24-alt2
- fixed build

* Tue Jul 01 2008 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.24-alt1
- new version

* Wed Aug 01 2007 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.19-alt1
- new version

* Mon Jun 11 2007 Vladimir A. Svyatoshenko <svyt@altlinux.ru> 1.18-alt1
- first build for ALT Linux Sisyphus
